API ReferenceAccounts
Close credit account
Close the user's own credit account. Only allowed when nothing has been disbursed in the current cycle and no balance is outstanding.
Path Parameters
accountId*string
Account ID
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/accounts/550e8400-e29b-41d4-a716-446655440000/close"{ "id": "550e8400-e29b-41d4-a716-446655440000", "resource_id": "acc_2n1t201rmv87aae5j4csam8000", "account_number": "29384756", "user_id": "660e8400-e29b-41d4-a716-446655440111", "type": "CREDIT", "credit_limit": -5000000, "available_limit": -2000000, "available_balance": -3000000, "balance": { "total_charged": -3000000, "principal_used": -2500000, "total_outstanding": -3000000, "total_paid": 0, "breakdown": { "principal_outstanding": -2500000, "interest_outstanding": -500000, "arrears_outstanding": 0, "penalty_outstanding": 0 } }, "currency": "KES", "due_date": "2025-10-31", "final_payment_due_date": "2025-10-31", "status": "ACTIVE", "fee_basis_points": 300, "interest_rate": { "basis_points": 300, "period_value": 1, "period_unit": "WEEKS" }, "limits": { "overdraft_limit": 500000, "minimum_transfer_amount": 1000, "maximum_transfer_amount": 5000000, "daily_transfer_limit": 10000000 }, "auto_renews": true, "paid_at": "2025-10-31T14:30:00", "can_transact": true, "created_at": "2025-09-01T10:15:30Z", "updated_at": "2025-10-15T14:22:00Z"}{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}